{"openapi":"3.1.0","info":{"title":"10X Warplets Agent API","version":"1.0.0","description":"Read collection data and stats, manage scoped favourites and alerts, and create share snapshots."},"servers":[{"url":"https://api.10x.meme"}],"paths":{"/v1/warplets":{"get":{"summary":"Search and filter Warplets","responses":{"200":{"description":"Successful response"}}}},"/v1/warplets/{tokenId}":{"get":{"summary":"Get one Warplet","responses":{"200":{"description":"Successful response"}}}},"/v1/traits":{"get":{"summary":"List trait levels and counts","responses":{"200":{"description":"Successful response"}}}},"/v1/stats/overview":{"get":{"summary":"Get collection overview","responses":{"200":{"description":"Successful response"}}}},"/v1/stats/market":{"get":{"summary":"Get Price, Floor Price, Volume, Listings, Offers and Sales market stats and chart series","responses":{"200":{"description":"Successful response"}}}},"/v1/stats/activity":{"get":{"summary":"Get collection activity","responses":{"200":{"description":"Successful response"}}}},"/v1/stats/holders":{"get":{"summary":"Get holder rankings","responses":{"200":{"description":"Successful response"}}}},"/v1/stats/shares":{"post":{"summary":"Create a Stats share snapshot","responses":{"200":{"description":"Successful response"}}}},"/v1/warpmoji/match":{"get":{"summary":"Match one exact Unicode 17 emoji to a human-approved Warplet","responses":{"200":{"description":"Successful response"}}}},"/v1/me/favourites":{"get":{"summary":"List favourites","responses":{"200":{"description":"Successful response"}}},"delete":{"summary":"Clear favourites","responses":{"200":{"description":"Successful response"}}}},"/v1/me/favourites/{tokenId}":{"put":{"summary":"Add a favourite","responses":{"200":{"description":"Successful response"}}},"delete":{"summary":"Remove a favourite","responses":{"200":{"description":"Successful response"}}}},"/v1/me/alerts":{"get":{"summary":"List alert preferences","responses":{"200":{"description":"Successful response"}}},"put":{"summary":"Update alert preferences","responses":{"200":{"description":"Successful response"}}}},"/v1/paid/stats-report":{"post":{"summary":"Generate the x402-protected stats report","responses":{"200":{"description":"Paid report"},"402":{"description":"Payment required"}}}}},"components":{"securitySchemes":{"personalToken":{"type":"http","scheme":"bearer","bearerFormat":"10x personal API token"}}}}